Re: sdboot (was Re: Autoconf-ing mklifboot)

Jochen Kunz <[email protected]>
Newsgroups gmane.os.netbsd.ports.hp700
Message-ID <[email protected]>
On Sat, 12 Jun 2004 19:13:58 +0900 (JST)
[email protected] (ITOH Yasufumi) wrote:

> ftp://ftp.netbsd.org/pub/NetBSD/misc/itohy/hp700-sdboot-20040612.shar.gz
> I did a little cleanup.
Please commit sdboot and the corresponding patch to disklabel that you
sugested. I did some tests and it seems to work well. 

--- src/sbin/disklabel/Makefile.orig       Fri Jun 11 23:01:50 2004
+++ src/sbin/disklabel/Makefile    Sat Jun 12 09:41:55 2004
@@ -8,7 +8,7 @@
 DPADD+= ${LIBUTIL}
 
 .if (${MACHINE} == "hp300") || (${MACHINE} == "vax") \
-       || (${MACHINE} == "arm32")
+       || (${MACHINE} == "arm32") || (${MACHINE} == "hp700")
 CPPFLAGS+= -DNUMBOOT=1
 .endif
 
@@ -18,7 +18,7 @@
 CPPFLAGS+= -DSTRICT_CYLINDER_ALIGNMENT
 .endif
 
-.if (${MACHINE} == "alpha") || (${MACHINE} == "x68k")
+.if (${MACHINE} == "alpha") || (${MACHINE} == "x68k") || (${MACHINE} ==
"hp700")
 # preserve the non-disklabel portions of the first 8KB of the disk
 CPPFLAGS+= -DSAVEBOOTAREA
 .endif

(Beware of the linewarp that my MUA inserted.)

I will commit a patch to sys/arch/hp700/hp700/disksubr.c that fixes the
"boot code is overwritten by disklabel" problem later.

At the moment the kernel doesn't get the correct boot / root device.
I already located the firmware data structure to query the boot / root
device. I can get the HPA / device path of the boot / root device and
now I am working on code to map this into the right struct device *.
So we should be able to auto boot from disk real soon.
-- 


tschüß,
       Jochen

Homepage: http://www.unixag-kl.fh-kl.de/~jkunz/
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.